Install 2.1.0 RC

Nouvelle génération du moteur osCSS
téléchargement osCSS 2.x.x

Install 2.1.0 RC

Messagepar chever » Lun 22 Aoû 2011, 21:28

Oscim,

Je viens de faire l'install neuve de la 2.1.0 RC via net install (ras sur ce point)

C'est quasi ok coté admin par contre cote front pas d'accès à la boutique j'ai
Code: Tout sélectionner
Fatal error: require() [function.require]: Failed opening required 'templates/SobreBlue/' (include_path='.:/usr/lib/php5') in xxx/osCSS-2/index.php on line 201


Je précise que pour la BD j'ai repris celles des versions antèrieurs mais en 2.xxx
oscss 1.2/seo/point and rewards/featured et beaucoup de sueur
chever
Membre gold
 
Messages: 529
Inscription: Jeu 26 Juil 2007, 21:06
Localisation: Macon

Re: Install 2.1.0 RC

Messagepar Ayatus » Lun 22 Aoû 2011, 21:56

J'ai eu le même problème et je pense effectivement que cela viens de la bdd, car une install vierge ne présente pas de problème si ce n'est un double encodage des caractères accentués dans le breadcrumb du template electronix.
Avatar de l’utilisateur
Ayatus
Site Admin
 
Messages: 280
Inscription: Sam 19 Avr 2008, 17:23

Re: Install 2.1.0 RC

Messagepar oscim » Mar 23 Aoû 2011, 10:10

Ok,

Juste pour voir, Avez vous Dans la table configuration c'est 2 vars ?:
-PUBLIC_PAGE_TYPE
-PUBLIC_DRIVERS_PAGE

A Ajouter
Code: Tout sélectionner
insert into osc_configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function , set_function,configuration_type) values ('PUBLIC_PAGE_TYPE_S', 'PUBLIC_PAGE_TYPE', 'listing,product,account,home,content', 'PUBLIC_PAGE_TYPE_L', '0', '0', NOW(), NOW(),NULL, NULL, 2);
insert into osc_configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function , set_function,configuration_type) values ('PUBLIC_DRIVERS_PAGE_S', 'PUBLIC_DRIVERS_PAGE', 'GabaritTemplate', 'PUBLIC_DRIVERS_PAGE_L', '0', '0', NOW(), NOW(),NULL, NULL, 2);



Il 'sagit des derniere modficaton effectué sur la branche, l'ensmble du calcul de determination des fichier du template a prendre en charge ont été deporté dans une sous class modulaire, permettant de l'ajuster au besoin, sans toucher au construtcteur principal page.

Donc logiquement, vous devez avoir un fichier GabaritTemplate.php dans classes/drivers/page/
Pour un web au normes du W3C, pour un web plus propre !

- Download osCSS Toutes versions
- stable osCSS 2.1.0 (help|info|new dev) Official help|wiki|Tuto for osCSS 2 | doc doxygen
- Utiliser le tracker pour suivre les évolutions et développements
- Inscrivez vos sites sur oscss pour présenter vos réalisations
Avatar de l’utilisateur
oscim
Site Admin
 
Messages: 1643
Inscription: Mar 25 Sep 2007, 11:33

Re: Install 2.1.0 RC

Messagepar oscim » Mar 23 Aoû 2011, 10:24

PS

C'est bien ca, il manque ces 2 lignes en base. Je viens de tester :D
Pour un web au normes du W3C, pour un web plus propre !

- Download osCSS Toutes versions
- stable osCSS 2.1.0 (help|info|new dev) Official help|wiki|Tuto for osCSS 2 | doc doxygen
- Utiliser le tracker pour suivre les évolutions et développements
- Inscrivez vos sites sur oscss pour présenter vos réalisations
Avatar de l’utilisateur
oscim
Site Admin
 
Messages: 1643
Inscription: Mar 25 Sep 2007, 11:33

Re: Install 2.1.0 RC

Messagepar chever » Mar 23 Aoû 2011, 12:04

Merci pour l'info, maintenant c'est ok
oscss 1.2/seo/point and rewards/featured et beaucoup de sueur
chever
Membre gold
 
Messages: 529
Inscription: Jeu 26 Juil 2007, 21:06
Localisation: Macon

Re: Install 2.1.0 RC

Messagepar oscim » Mar 23 Aoû 2011, 12:09

No soucail :)

Je l'ai certainement implementé un peu vite, j'en avais besoin sur un projet .

Mais cette petite évolution ajoute beaucoup en souplesse, pour ajuster le comportement du moteur.

J'ai d'ailleur commencé a codé un autre module , qui permettrai de gerer le choix du gabarit de page à la wordpress , cad aevc un selecteur dans l'admin, qui permettra de selectionner le gabarit a utiliser pour tel produits, etc.;

Ca viendra , mais la , dans les priorité de la 2.1.1, pas toute de suite je pense :(. En même temps , c'est comme dab! S j'en ai besoin avant , ....
Pour un web au normes du W3C, pour un web plus propre !

- Download osCSS Toutes versions
- stable osCSS 2.1.0 (help|info|new dev) Official help|wiki|Tuto for osCSS 2 | doc doxygen
- Utiliser le tracker pour suivre les évolutions et développements
- Inscrivez vos sites sur oscss pour présenter vos réalisations
Avatar de l’utilisateur
oscim
Site Admin
 
Messages: 1643
Inscription: Mar 25 Sep 2007, 11:33


Retourner vers Bug / Aides [fr]

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 2 invités

cron